Package org.jfree.layouting.input

## Interface ImageData

- All Superinterfaces:
    `java.io.Serializable`
  All Known Implementing Classes:
    `AWTImageData`, `EmptyImageData`

      public interface ImageData
      extends java.io.Serializable

  The image data is used whenever libLayout wants to display graphics content. Graphics content includes drawables and image data - as both are static graphical content.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `draw​(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` | Draws the object.
    `long` | `getHeight​()` | Returns the height of the image in micro-dots.
    `org.pentaho.reporting.libraries.resourceloader.Resource` | `getSource​()` | Returns the resource definition that was used to load the image.
    `long` | `getWidth​()` | Returns the width of the image in micro-dots.

- - ### Method Detail

    - #### getSource

          org.pentaho.reporting.libraries.resourceloader.Resource getSource​()

      Returns the resource definition that was used to load the image. Return null, if there was no resource loader involved. (This covers both invalid/empty content and generated content.)
      Returns:

    - #### getWidth

          long getWidth​()

      Returns the width of the image in micro-dots.
      Returns:

    - #### getHeight

          long getHeight​()

      Returns the height of the image in micro-dots.
      Returns:

    - #### draw

          void draw​(java.awt.Graphics2D g2,
                    java.awt.geom.Rectangle2D area)

      Draws the object.
      Parameters:
        `g2` - the graphics device.
        `area` - the area inside which the object should be drawn.